%define anolis_release 6

Name:           perl-Net-SMTP-SSL
Version:        1.04
Release:        %{anolis_release}%{?dist}
Summary:        SSL support for Net::SMTP
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Net-SMTP-SSL/
Source0:        http://www.cpan.org/modules/by-module/Net/Net-SMTP-SSL-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
# Runtime
BuildRequires:  perl(IO::Socket::SSL)
BuildRequires:  perl(Net::SMTP)
# Tests only
BuildRequires:  perl(Test::More) >= 0.47

%description
Implements the same API as Net::SMTP, but uses IO::Socket::SSL for its
network operations.

%package doc
Summary:   Documents for %{name}
Requires:  %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Doc pages for %{name}.

%prep
%setup -q -n Net-SMTP-SSL-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%dir %{perl_vendorlib}/Net/
%dir %{perl_vendorlib}/Net/SMTP/
%{perl_vendorlib}/Net/SMTP/SSL.pm
%{_mandir}/man3/Net::SMTP::SSL.3*

%files doc
%doc README Changes

%changelog
* Tue Jan 31 2023 Funda Wang <fundawang@yeah.net> - 1.04-6
- Import package for anolis 23
